Bug 235911 - [patch] x11/libXau: update to 1.0.9
Summary: [patch] x11/libXau: update to 1.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: patch
Depends on:
Blocks: 223281
  Show dependency treegraph
 
Reported: 2019-02-21 09:19 UTC by Samy Mahmoudi
Modified: 2019-03-01 21:12 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
Patch file generated with svn diff (798 bytes, patch)
2019-02-21 09:20 UTC, Samy Mahmoudi
no flags Details | Diff
Poudriere log (48.78 KB, text/plain)
2019-02-21 09:20 UTC, Samy Mahmoudi
no flags Details
Patch file generated with svn diff (4.37 KB, patch)
2019-02-22 00:38 UTC, Samy Mahmoudi
no flags Details | Diff
Poudriere log (49.20 KB, text/plain)
2019-02-22 00:39 UTC, Samy Mahmoudi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2019-02-21 09:19:36 UTC
- Update to version 1.0.9

Release announcement: https://lists.x.org/archives/xorg/2019-February/059596.html
Comment 1 Samy Mahmoudi 2019-02-21 09:20:19 UTC
Created attachment 202222 [details]
Patch file generated with svn diff
Comment 2 Samy Mahmoudi 2019-02-21 09:20:59 UTC
Created attachment 202223 [details]
Poudriere log
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-02-22 00:01:05 UTC
Please, include bug #223281  (or reject it).
Comment 4 Samy Mahmoudi 2019-02-22 00:38:03 UTC
Created attachment 202247 [details]
Patch file generated with svn diff
Comment 5 Samy Mahmoudi 2019-02-22 00:39:12 UTC
Created attachment 202248 [details]
Poudriere log
Comment 6 Samy Mahmoudi 2019-02-22 00:41:42 UTC
- Fix license information [1]
- Update to version 1.0.9 [2]
- Use install-strip to strip shared library [2]

Release announcement: https://lists.x.org/archives/xorg/2019-February/059596.html

[1] Yasuhiro KIMURA
[2] Samy Mahmoudi
Comment 7 Niclas Zeising freebsd_committer 2019-02-22 12:04:38 UTC
I'm not sure about the license stuff here.  I'd like a comment from portmgr or core before adding those to the infrastructure.

Xorg ports in general are full of fairly old licenses with slightly different wording.
Comment 8 Niclas Zeising freebsd_committer 2019-02-22 12:21:54 UTC
I have e-mailed portmgr and core for advice regarding the licenses, awaiting their response.
Comment 9 Samy Mahmoudi 2019-02-22 12:24:14 UTC
(In reply to Niclas Zeising from comment #7)

> Xorg ports in general are full of fairly old licenses with slightly different wording.
Exactly. MIT is pretty generic, full of variants.
Comment 10 Samy Mahmoudi 2019-02-22 12:25:07 UTC
(In reply to Niclas Zeising from comment #8)

Thank you Niclas ;-)
Comment 11 Mathieu Arnold freebsd_committer 2019-02-22 18:23:41 UTC
This looks overkill, most licenses have variants, because of the copyright holder, or because someone added some whitespace.  I've read the two that are added in this patch, and, while the wording is slightly different they end up saying the same thing.
Comment 12 commit-hook freebsd_committer 2019-02-27 15:05:05 UTC
A commit references this bug:

Author: zeising
Date: Wed Feb 27 15:04:01 UTC 2019
New revision: 494059
URL: https://svnweb.freebsd.org/changeset/ports/494059

Log:
  x11/libXau: Update to 1.0.9

  Update x11/libXau to 1.0.9.
  Strip installed library.

  The original PR suggested adding a variety of different licenses, all
  MIT-like.  After discussion with portmgr, it was decided that since the
  liceneses are basically the same (only wording differs), we just tag it as
  MIT licensed, without making a difference.  This is already done.

  PR:		235911 (based on)
  Submitted by:	Samy Mahmoudi
  Sponsored by:	B3 Init (zeising)

Changes:
  head/x11/libXau/Makefile
  head/x11/libXau/distinfo
Comment 13 Niclas Zeising freebsd_committer 2019-02-27 15:06:36 UTC
Update committed.  The license changes we decided weren't needed.  See the comment from  Mathieu Arnold (#c11).
Comment 14 Samy Mahmoudi 2019-03-01 21:12:37 UTC
Thank you both for your time.